org.eclipse.microprofile.rest.client.spi

## Interface RestClientListener

    public interface RestClientListener

Implementations of this interface will be notified when new Rest Client instances are being constructed. This will allow implementations to register providers on the RestClientBuilder, and is intended for global providers. In order for the RestClientBuilder implementation to call implementations of this interface, the implementation must be specified such that `ServiceLoader` can find it - i.e. it must be specified in the `META-INF/services/org.eclipse.microprofile.rest.client.spi.RestClientListener` file in an archive on the current thread's context classloader's class path - or specified in the `module-info.java`. Note that the `onNewClient` method will be called when the RestClientBuilder's `build(Class<?> serviceInterface)` method is called.

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onNewClient(Class<?> serviceInterface, RestClientBuilder builder)`

### Method Detail

#### onNewClient

    void onNewClient(Class<?> serviceInterface,
                     RestClientBuilder builder)